import ij.*;
import ij.plugin.filter.PlugInFilter;
import ij.process.*;
import java.awt.*;
import java.awt.image.*;

/** Generates a 16-bit histogram (as a table) for the range of values defined by the B&C tool. */
public class SixteenBit_Histogram implements PlugInFilter {

	public int setup(String arg, ImagePlus imp) {
		if ( IJ.versionLessThan("1.20e"))
			return DONE;
		return DOES_16+NO_CHANGES;
	}

	public void run(ImageProcessor ip) {
		display16bitHistogram(ip);
	}
    
	void display16bitHistogram(ImageProcessor ip) {
		int[] hist = ip.getHistogram();
		int min = (int)ip.getMin();
		int max = (int)ip.getMax();
		StringBuffer sb = new StringBuffer();
		for (int i=min; i<=max; i++)
			sb.append(i+"\t"+hist[i]+"\n");
		new ij.text.TextWindow("Histogram", "Value\tCount", new String(sb), 300, 400);
	}

 }
